Novell Home

My Favorites

Close

Please to see your favorites.

Systems running OES11sp1 do not support SLES11sp3 or SLES11sp3 for VMware

This document (7012886) is provided subject to the disclaimer at the end of this document.

Environment

Novell Open Enterprise Server 11 (OES 11) Support Pack 1
SUSE Linux Enterprise Server 11 Service Pack 2
SUSE Linux Enterprise Server 11 Service Pack 3

Situation

SLES11sp3 / SLES11sp3-for-VMware has been released. We do not support OES 11SP1 on SLES11sp3 or on SLES11sp3-for-VMware. Do not attempt to upgrade to SLES11sp3 or SLES11sp3-for-VMware on your OES11SP1 systems

Resolution

Upgrade to SLES11sp3 / SLES11sp3-for-VMware can be attempted in the below ways. We have prevented you from facing unexpected consequences in these scenarios in case you proceed to attempt.

Prerequisite is to install the blocker patch “oes11sp1-avoid-sles11-sp3-online-migration” if running SLES  or "oes11sp1-avoid-sles11-for-vmware-sp3-online-migration” if running SLES for VMware in the server.

  • In an OES11SP1 server, do not attempt to upgrade SLES11SP2 to SLES11SP3 or SLES11sp2 for VMWare to SLES11sp3 for VMware through media. This will lead to removal of OES packages from the OES11SP1 server without any warning messages.
  • If you run yast2 wagon, you will not see any option to upgrade to SLES11SP3 of SLES11sp3 for VMware, as shown in below screen shot.  This is since we have released an avoid migration patch in OES11SP1 channels that will disable the system from seeing upgrade path to sles11sp3.
SLES example:

SLES-for-VMware example:

zypper dup --from SLES11-SP3-Pool --from SLES11-SP3-Updates 

or

zypper dup --from SLES11-SP3-VMware-Pool --from SLES11-SP3-VMware-Updates

you will see conflicts, as shown in below screen shot, thrown on the system. Do not attempt to resolve them.
SLES example:
SLES-for-VMware example:

Cause

We will release the support for OES on SLES11SP3 / SLES11SP3-for-Vmware along with our OES11SP2 release. Await this release before you attempt upgrades.

OES11SP1 server will continue to receive patch updates and there is no change in the patching mechanisms. However, if “oes11sp1-avoid-sles11-sp3-online-migration” or "oes11sp1-avoid-sles11-for-vmware-sp3-online-migration” patch is not yet installed in the system when patching is attempted using zypper up –t patch or zypper patch, the following two lines will be displayed:

"The following product is going to be upgraded:

  SUSE Linux Enterprise Server 11 SP2 for VMware”

"The following product is going to be upgraded:

  SUSE Linux Enterprise Server 11 SP2 for VMware”

In this case, ignore these messages and proceed with the patching. SLES11SP2 will not be upgraded. These messages will not be seen anymore in subsequent patch updates using zypper.

SLES example:

SLES-for-VMware example:


Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7012886
  • Creation Date:17-JUL-13
  • Modified Date:18-JUL-13
    • NovellOpen Enterprise Server
    • SUSESUSE Linux Enterprise Server

Did this document solve your problem? Provide Feedback